API Explorer 935 endpoints

Get Customer KYC statuses

GET /obp/v7.0.0/customers/CUSTOMER_ID/kyc_statuses

OBPv2.0.0-getKycStatuses Roles: CanGetAnyKycStatuses KYCCustomer

Get the KYC statuses for a customer specified by CUSTOMER_ID over time.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

CUSTOMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh

JSON response body fields (5)
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
customer_number
5987953
date
2020-01-27
ok
false
statuses
Example success response
{
  "statuses": [
    {
      "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
      "customer_number": "5987953",
      "ok": true,
      "date": "1100-01-01T00:00:00Z"
    }
  ]
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30046: Customer not found. Please specify a valid value for CUSTOMER_ID.
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv2.0.0 getKycStatuses Originally /obp/v2.0.0/customers/CUSTOMER_ID/kyc_statuses